PromotionsCoupons
Queue coupon code batch creation
Queues creation of the supplied coupon codes for the selected coupon.
POST
/v1/coupons/{couponId}/codes/batchQueues creation of the supplied coupon codes for the selected coupon.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
couponId*string
Identifier of the coupon.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/coupons/7204558912004325301/codes/batch" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "codes": [ "example" ], "usageLimit": 1 }'{ "id": "7204558912004325301", "status": "pending", "resource": "example", "format": "example", "createdOn": "2026-08-01T15:30:00Z"}